echo "Make sure to run this script from the root of the repository."
echo "Make sure that you have set up the correct local_llm_path in config/datagen_config.json!!!"

echo "------------------------------"
echo "[1/2] UTS RL DATASET"
python3 -m thinktime.grpo.generate_uts_reason_dataset

echo "------------------------------"
echo "[2/2] MTS RL DATASET"
python3 -m thinktime.grpo.generate_mts_reason_dataset

echo "==============================="
echo "All datasets have been generated."
echo "You can find them in the data folder."
echo "==============================="
